DEFINE VARIABLE ix AS INTEGER NO-UNDO.
DEFINE VARIABLE qh AS HANDLE NO-UNDO.
DEFINE VARIABLE bh AS HANDLE NO-UNDO.
DEFINE VARIABLE fh AS HANDLE NO-UNDO EXTENT 10.
DEFINE VARIABLE f0 AS HANDLE NO-UNDO.

CREATE BUFFER bh FOR TABLE "Customer".
CREATE QUERY qh.
qh:SET-BUFFERS(bh). 
qh:QUERY-PREPARE("FOR EACH Customer").
qh:QUERY-OPEN().
qh:GET-FIRST().

DISPLAY bh:NAME bh:AVAILABLE.

REPEAT ix = 1 TO 10:
   fh[ix] = bh:BUFFER-FIELD(ix).
   
   DISPLAY 1 "1" string(fh[ix]).
   DISPLAY fh[ix]:NAME.
   DISPLAY STRING(fh[ix]:BUFFER-VALUE).

   DISPLAY f0:NAME.
   /* DISPLAY f0:BUFFER-VALUE. */
   DISPLAY STRING(f0:BUFFER-VALUE).
   DISPLAY STRING(f0:BUFFER-VALUE(1)).

   f0:BUFFER-VALUE()  = "some string".
   f0:BUFFER-VALUE(1) = "some string in an EXTENT".
END.

qh:QUERY-CLOSE().
bh:BUFFER-RELEASE().

DELETE OBJECT bh.
DELETE OBJECT qh.