/* Test cases for #1953: add conversion support for CREATE BUFFER statement */

/* CREATE BUFFER h1 FOR TABLE table-name
   [ BUFFER-NAME buffer-name ]
   [ IN WIDGET-POOL widget-pool-name ] */

DEFINE VARIABLE h1 AS HANDLE NO-UNDO.
DEFINE VARIABLE h2 AS HANDLE NO-UNDO.
DEFINE VARIABLE h3 AS HANDLE NO-UNDO.
DEFINE VARIABLE h4 AS HANDLE NO-UNDO.
DEFINE VARIABLE h5 AS HANDLE NO-UNDO.
DEFINE VARIABLE h6 AS HANDLE NO-UNDO.
DEFINE VARIABLE h7 AS HANDLE NO-UNDO.
DEFINE VARIABLE h8 AS HANDLE NO-UNDO.

CREATE BUFFER h1 FOR TABLE "customers". 
/* RecordBuffer.createBuffer(h1, "customers"); */

CREATE BUFFER h2 FOR TABLE ("cus" + "tomer"). 
/* RecordBuffer.createBuffer(h1, concat("cus" + "tomer")); */

CREATE BUFFER h3 FOR TABLE "customer" BUFFER-NAME "buffer-for-h3".
/* RecordBuffer.createBuffer(h3, "customer", "buffer-for-h3"); */

CREATE BUFFER h4 FOR TABLE ("cus" + "tomer") BUFFER-NAME "buffer-for-h" + STRING(4). 
/* RecordBuffer.createBuffer(h4, concat("cus", "tomer"), concat("buffer-for-h", valueOf(4))); */

CREATE BUFFER h5 FOR TABLE "customer" IN WIDGET-POOL "p5". 
/* RecordBuffer.createBuffer(h5, "customer", "p5"); */

CREATE BUFFER h6 FOR TABLE ("cus" + "tomer") IN WIDGET-POOL "p" + STRING(6).
/* RecordBuffer.createBuffer(h6, concat("cus", "tomer"), concat("p", valueOf(6))); */

CREATE BUFFER h7 FOR TABLE "customers" BUFFER-NAME "buffer-for-h4" IN WIDGET-POOL "p7".
/* RecordBuffer.createBuffer(h7, "customers", "buffer-for-h4", "p7"); */

CREATE BUFFER h8 FOR TABLE ("cus" + "tomers") BUFFER-NAME "buffer-for-h" + STRING(4) IN WIDGET-POOL "p" + STRING(8).
/* RecordBuffer.createBuffer(h8, concat("cus", "tomers"), concat("buffer-for-h", valueOf(4)), concat("p", valueOf(8))); */
